commit:     f191e605d24169a7d12fa3a177d60daa82109815
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Oct 16 04:43:57 2024 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Oct 16 04:54:33 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f191e605

dev-python/simsimd: Bump to 5.7.1

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/simsimd/Manifest             |  1 +
 dev-python/simsimd/simsimd-5.7.1.ebuild | 64 +++++++++++++++++++++++++++++++++
 2 files changed, 65 insertions(+)

diff --git a/dev-python/simsimd/Manifest b/dev-python/simsimd/Manifest
index 0b55db0373f6..0850d07de18c 100644
--- a/dev-python/simsimd/Manifest
+++ b/dev-python/simsimd/Manifest
@@ -1,2 +1,3 @@
 DIST SimSIMD-5.6.4.gh.tar.gz 164134 BLAKE2B 
65f0aa8ef132ef9a05a3cac03e6773adfbca1b5860952563ca6e7f7ce322d71d3de137705f9c1fbd1cc53a23feade46fcb1f100e6489e03a1ff51ea5b571c5e9
 SHA512 
f20cd5bb3011e87ceed7f7a6b82b9805fa1b3fb2dc8aadda145d37580573f50bae44442202b5af19a5372e77ac5499ea0015f2e00011a1e8d0272ba991d46606
 DIST SimSIMD-5.7.0.gh.tar.gz 177998 BLAKE2B 
3ea04322b41dc3a8cb61f9239dd4d0db3b15fd1aadf300f0f0785d7d04c308dc77e9925157c86bb2bf2677af0db2d186fb1dcffe1cd85b5b2e24b6ac4cd4449c
 SHA512 
87b84d3297800c42395301b45fbd34fb05d701de51507b93960cb38d43caf498d69007f7d0ce290471f9469ef3ece39625692edf8d449476b522469ba842ba97
+DIST SimSIMD-5.7.1.gh.tar.gz 180247 BLAKE2B 
500ff86ef3de724d251658e1d3a865a30658c0da25cf63ffc435a39b1b81ab430fc76e2bb62b9e5a6ceee322192e3c52c44f281a30a9a09748264b137f4e23c3
 SHA512 
f08808113b1937310c02eaa767b14196b1fe688222f3bc40e07d511c75e69656fd53238b109bee388a7c1d7df2658adc08f746085216a046be7da14d33d1888b

diff --git a/dev-python/simsimd/simsimd-5.7.1.ebuild 
b/dev-python/simsimd/simsimd-5.7.1.ebuild
new file mode 100644
index 000000000000..3b7152ad7a71
--- /dev/null
+++ b/dev-python/simsimd/simsimd-5.7.1.ebuild
@@ -0,0 +1,64 @@
+# Copyright 2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( pypy3 python3_{10..13} )
+
+inherit distutils-r1 toolchain-funcs
+
+MY_P=SimSIMD-${PV}
+DESCRIPTION="Fastest SIMD-Accelerated Vector Similarity Functions for x86 and 
Arm"
+HOMEPAGE="
+       https://github.com/ashvardanian/SimSIMD/
+       https://pypi.org/project/simsimd/
+"
+# no sdist, as of 4.3.1
+# https://github.com/ashvardanian/SimSIMD/issues/113
+SRC_URI="
+       https://github.com/ashvardanian/SimSIMD/archive/v${PV}.tar.gz
+               -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="openmp"
+
+BDEPEND="
+       test? (
+               dev-python/pytest-repeat[${PYTHON_USEDEP}]
+               dev-python/tabulate[${PYTHON_USEDEP}]
+       )
+"
+
+distutils_enable_tests pytest
+
+pkg_pretend() {
+       if [[ ${MERGE_TYPE} != binary ]] && use openmp; then
+               tc-check-openmp
+       fi
+}
+
+pkg_setup() {
+       if [[ ${MERGE_TYPE} != binary ]] && use openmp; then
+               tc-check-openmp
+       fi
+}
+
+src_prepare() {
+       sed -i -e '/-O3/d' setup.py || die
+       if ! use openmp; then
+               sed -i -e '/-fopenmp/d' setup.py || die
+       fi
+
+       distutils-r1_src_prepare
+}
+
+python_test() {
+       local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+       epytest -p repeat scripts/test.py
+}

Reply via email to